<bugID>1281206<Summary>Remove ObjectLink and ObjectBox reps</Summary><Description>Discussed with Honza at the all hands and in IRC today.

We definitely want to remove ObjectLink. We're planning to allow the parent component to pass in a component to be used for linking.

Removing ObjectBox isn't as clear, but I believe we should do it. Currently it just serves as a place to put a class name, but a div can do this in the same way.

The argument for keeping it is that it might be useful in the future as a place to hang things like contextual menus.

However, for now it results in a small performance hit (about 5-7% increase in mountComponent in my back of the napkin performance tests). It also adds an abstraction to the reps system that is currently unnecessary, and which I found confusing when I first approached the API. And once we get to implementing contextual menus, we may find that this is not the approach we want to use.

Since it's not providing a real benefit at this point, I'd say we should remove it too. We can reintroduce it later if we have a use for it.</Description></bugID>